Page MenuHomePhabricator

Have wikiphabot follow the same channel announce rules as wikibugs
Closed, ResolvedPublic

Description

wikiphabot should import/respect the rules we've written over the years for wikibugs (what bug updates go to which channels).

Details

Reference
fl504

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:44 AM
flimport set Reference to fl504.

Nemo_bis wrote on 2014-07-25 14:15:41 (UTC)

"Over the years" is actually just few months ;-) everything used to go to MediaWiki-General till recently.

Where are these "rules we've written over the years for wikibugs (what bug updates go to which channels)" currently stored / can be seen?

valhallasw set Security to None.
valhallasw added a subscriber: Unknown Object (MLST).

Naming of tags will be: (from T43#5660)

Bugzilla productBugzilla componentPhabricator project
MediaWikiChange taggingMediaWiki-Change_tagging
MediaWiki‑Vagrantlabs-vagrantMediaWiki_Vagrant-labs_vagrant
WikimediaGit/GerritWikimedia-Git_and_Gerrit
Wiki Loves MonumentsUnused imagesWiki_Loves_Monuments-Unused_images

I think it would make more sense to configure this directly in phabricator:

We could add a custom field to projects called "irc channel" which would be used to associate a project with a channel.
Then any updates to tickets in a given project would get posted into the relevant irc channel automatically.

In addition to this it would be nice if we had a way to specify the types of notifications that get filtered, on a channel-by-channel basis, but for starters a simple project filter would suffice.

Testing to see if this comment goes into the right channel!

Well, that didn't work. https://github.com/legoktm/phabricator/commit/7b93dd1bb9eae1a350e52d691a2ddfbaddc44dac is how far I got.

I'm not really sure if it's a good idea to hack on the code directly or if there's a preferred way to extend it.

The IRC bot code is 'work in progress' according to the Phab team, so I presume they would be happy to accept patches that improve the bot output (as long as it's configurable).

Naming of tags will be: (from T43#5660)

Bugzilla productBugzilla componentPhabricator project
MediaWikiChange taggingMediaWiki-Change_tagging
MediaWiki‑Vagrantlabs-vagrantMediaWiki_Vagrant-labs_vagrant
WikimediaGit/GerritWikimedia-Git_and_Gerrit
Wiki Loves MonumentsUnused imagesWiki_Loves_Monuments-Unused_images

I'm confused by this comment. Are tag names relevant here? Programmatic access should happen via IDs, I thought.

@Legoktm one way to approach this would be to fork the message handler class ( or subclass/extend it ), that way our changes are mostly isolated to a separate file and hopefully don't cause too much maintenance headaches if we have to maintain our own custom handler outside of the upstream.

valhallasw reopened this task as Open.Nov 10 2014, 3:56 PM

Re-opening as this is really a subtask of T131.

See

https://github.com/legoktm/wikibugs2/blob/master/channels.yaml

for the format, although those do not seem to be the current rules. In any case, the actual rules should be in git before Day 1.

Qgil awarded a token.Nov 10 2014, 9:12 PM